Character.UnicodeScript (Java Platform SE 8 )
Keywords: java.lang.Character.UnicodeScript class
Date: 2020-03-26

compact1, compact2, compact3
java.lang

## Enum Character.UnicodeScript

- java.lang.Object
- - java.lang.Enum<Character.UnicodeScript>
  - - java.lang.Character.UnicodeScript

- All Implemented Interfaces:
    Serializable, Comparable<Character.UnicodeScript>
  Enclosing class:
    Character

      public static enum Character.UnicodeScript
      extends Enum<Character.UnicodeScript>

  A family of character subsets representing the character scripts defined in the Unicode Standard Annex #24: Script Names. Every Unicode character is assigned to a single Unicode script, either a specific script, such as `Latin`, or one of the following three special values, `Inherited`, `Common` or `Unknown`.
  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARABIC` Unicode script "Arabic".
    `ARMENIAN` Unicode script "Armenian".
    `AVESTAN` Unicode script "Avestan".
    `BALINESE` Unicode script "Balinese".
    `BAMUM` Unicode script "Bamum".
    `BATAK` Unicode script "Batak".
    `BENGALI` Unicode script "Bengali".
    `BOPOMOFO` Unicode script "Bopomofo".
    `BRAHMI` Unicode script "Brahmi".
    `BRAILLE` Unicode script "Braille".
    `BUGINESE` Unicode script "Buginese".
    `BUHID` Unicode script "Buhid".
    `CANADIAN_ABORIGINAL` Unicode script "Canadian_Aboriginal".
    `CARIAN` Unicode script "Carian".
    `CHAKMA` Unicode script "Chakma".
    `CHAM` Unicode script "Cham".
    `CHEROKEE` Unicode script "Cherokee".
    `COMMON` Unicode script "Common".
    `COPTIC` Unicode script "Coptic".
    `CUNEIFORM` Unicode script "Cuneiform".
    `CYPRIOT` Unicode script "Cypriot".
    `CYRILLIC` Unicode script "Cyrillic".
    `DESERET` Unicode script "Deseret".
    `DEVANAGARI` Unicode script "Devanagari".
    `EGYPTIAN_HIEROGLYPHS` Unicode script "Egyptian_Hieroglyphs".
    `ETHIOPIC` Unicode script "Ethiopic".
    `GEORGIAN` Unicode script "Georgian".
    `GLAGOLITIC` Unicode script "Glagolitic".
    `GOTHIC` Unicode script "Gothic".
    `GREEK` Unicode script "Greek".
    `GUJARATI` Unicode script "Gujarati".
    `GURMUKHI` Unicode script "Gurmukhi".
    `HAN` Unicode script "Han".
    `HANGUL` Unicode script "Hangul".
    `HANUNOO` Unicode script "Hanunoo".
    `HEBREW` Unicode script "Hebrew".
    `HIRAGANA` Unicode script "Hiragana".
    `IMPERIAL_ARAMAIC` Unicode script "Imperial_Aramaic".
    `INHERITED` Unicode script "Inherited".
    `INSCRIPTIONAL_PAHLAVI` Unicode script "Inscriptional_Pahlavi".
    `INSCRIPTIONAL_PARTHIAN` Unicode script "Inscriptional_Parthian".
    `JAVANESE` Unicode script "Javanese".
    `KAITHI` Unicode script "Kaithi".
    `KANNADA` Unicode script "Kannada".
    `KATAKANA` Unicode script "Katakana".
    `KAYAH_LI` Unicode script "Kayah_Li".
    `KHAROSHTHI` Unicode script "Kharoshthi".
    `KHMER` Unicode script "Khmer".
    `LAO` Unicode script "Lao".
    `LATIN` Unicode script "Latin".
    `LEPCHA` Unicode script "Lepcha".
    `LIMBU` Unicode script "Limbu".
    `LINEAR_B` Unicode script "Linear_B".
    `LISU` Unicode script "Lisu".
    `LYCIAN` Unicode script "Lycian".
    `LYDIAN` Unicode script "Lydian".
    `MALAYALAM` Unicode script "Malayalam".
    `MANDAIC` Unicode script "Mandaic".
    `MEETEI_MAYEK` Unicode script "Meetei_Mayek".
    `MEROITIC_CURSIVE` Unicode script "Meroitic Cursive".
    `MEROITIC_HIEROGLYPHS` Unicode script "Meroitic Hieroglyphs".
    `MIAO` Unicode script "Miao".
    `MONGOLIAN` Unicode script "Mongolian".
    `MYANMAR` Unicode script "Myanmar".
    `NEW_TAI_LUE` Unicode script "New_Tai_Lue".
    `NKO` Unicode script "Nko".
    `OGHAM` Unicode script "Ogham".
    `OL_CHIKI` Unicode script "Ol_Chiki".
    `OLD_ITALIC` Unicode script "Old_Italic".
    `OLD_PERSIAN` Unicode script "Old_Persian".
    `OLD_SOUTH_ARABIAN` Unicode script "Old_South_Arabian".
    `OLD_TURKIC` Unicode script "Old_Turkic".
    `ORIYA` Unicode script "Oriya".
    `OSMANYA` Unicode script "Osmanya".
    `PHAGS_PA` Unicode script "Phags_Pa".
    `PHOENICIAN` Unicode script "Phoenician".
    `REJANG` Unicode script "Rejang".
    `RUNIC` Unicode script "Runic".
    `SAMARITAN` Unicode script "Samaritan".
    `SAURASHTRA` Unicode script "Saurashtra".
    `SHARADA` Unicode script "Sharada".
    `SHAVIAN` Unicode script "Shavian".
    `SINHALA` Unicode script "Sinhala".
    `SORA_SOMPENG` Unicode script "Sora Sompeng".
    `SUNDANESE` Unicode script "Sundanese".
    `SYLOTI_NAGRI` Unicode script "Syloti_Nagri".
    `SYRIAC` Unicode script "Syriac".
    `TAGALOG` Unicode script "Tagalog".
    `TAGBANWA` Unicode script "Tagbanwa".
    `TAI_LE` Unicode script "Tai_Le".
    `TAI_THAM` Unicode script "Tai_Tham".
    `TAI_VIET` Unicode script "Tai_Viet".
    `TAKRI` Unicode script "Takri".
    `TAMIL` Unicode script "Tamil".
    `TELUGU` Unicode script "Telugu".
    `THAANA` Unicode script "Thaana".
    `THAI` Unicode script "Thai".
    `TIBETAN` Unicode script "Tibetan".
    `TIFINAGH` Unicode script "Tifinagh".
    `UGARITIC` Unicode script "Ugaritic".
    `UNKNOWN` Unicode script "Unknown".
    `VAI` Unicode script "Vai".
    `YI` Unicode script "Yi".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Character.UnicodeScript` | `forName(String scriptName)` Returns the UnicodeScript constant with the given Unicode script name or the script name alias.
    `static Character.UnicodeScript` | `of(int codePoint)` Returns the enum constant representing the Unicode script of which the given character (Unicode code point) is assigned to.
    `static Character.UnicodeScript` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Character.UnicodeScript[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMON

          public static final Character.UnicodeScript COMMON

      Unicode script "Common".

    - #### LATIN

          public static final Character.UnicodeScript LATIN

      Unicode script "Latin".

    - #### GREEK

          public static final Character.UnicodeScript GREEK

      Unicode script "Greek".

    - #### CYRILLIC

          public static final Character.UnicodeScript CYRILLIC

      Unicode script "Cyrillic".

    - #### ARMENIAN

          public static final Character.UnicodeScript ARMENIAN

      Unicode script "Armenian".

    - #### HEBREW

          public static final Character.UnicodeScript HEBREW

      Unicode script "Hebrew".

    - #### ARABIC

          public static final Character.UnicodeScript ARABIC

      Unicode script "Arabic".

    - #### SYRIAC

          public static final Character.UnicodeScript SYRIAC

      Unicode script "Syriac".

    - #### THAANA

          public static final Character.UnicodeScript THAANA

      Unicode script "Thaana".

    - #### DEVANAGARI

          public static final Character.UnicodeScript DEVANAGARI

      Unicode script "Devanagari".

    - #### BENGALI

          public static final Character.UnicodeScript BENGALI

      Unicode script "Bengali".

    - #### GURMUKHI

          public static final Character.UnicodeScript GURMUKHI

      Unicode script "Gurmukhi".

    - #### GUJARATI

          public static final Character.UnicodeScript GUJARATI

      Unicode script "Gujarati".

    - #### ORIYA

          public static final Character.UnicodeScript ORIYA

      Unicode script "Oriya".

    - #### TAMIL

          public static final Character.UnicodeScript TAMIL

      Unicode script "Tamil".

    - #### TELUGU

          public static final Character.UnicodeScript TELUGU

      Unicode script "Telugu".

    - #### KANNADA

          public static final Character.UnicodeScript KANNADA

      Unicode script "Kannada".

    - #### MALAYALAM

          public static final Character.UnicodeScript MALAYALAM

      Unicode script "Malayalam".

    - #### SINHALA

          public static final Character.UnicodeScript SINHALA

      Unicode script "Sinhala".

    - #### THAI

          public static final Character.UnicodeScript THAI

      Unicode script "Thai".

    - #### LAO

          public static final Character.UnicodeScript LAO

      Unicode script "Lao".

    - #### TIBETAN

          public static final Character.UnicodeScript TIBETAN

      Unicode script "Tibetan".

    - #### MYANMAR

          public static final Character.UnicodeScript MYANMAR

      Unicode script "Myanmar".

    - #### GEORGIAN

          public static final Character.UnicodeScript GEORGIAN

      Unicode script "Georgian".

    - #### HANGUL

          public static final Character.UnicodeScript HANGUL

      Unicode script "Hangul".

    - #### ETHIOPIC

          public static final Character.UnicodeScript ETHIOPIC

      Unicode script "Ethiopic".

    - #### CHEROKEE

          public static final Character.UnicodeScript CHEROKEE

      Unicode script "Cherokee".

    - #### CANADIAN_ABORIGINAL

          public static final Character.UnicodeScript CANADIAN_ABORIGINAL

      Unicode script "Canadian_Aboriginal".

    - #### OGHAM

          public static final Character.UnicodeScript OGHAM

      Unicode script "Ogham".

    - #### RUNIC

          public static final Character.UnicodeScript RUNIC

      Unicode script "Runic".

    - #### KHMER

          public static final Character.UnicodeScript KHMER

      Unicode script "Khmer".

    - #### MONGOLIAN

          public static final Character.UnicodeScript MONGOLIAN

      Unicode script "Mongolian".

    - #### HIRAGANA

          public static final Character.UnicodeScript HIRAGANA

      Unicode script "Hiragana".

    - #### KATAKANA

          public static final Character.UnicodeScript KATAKANA

      Unicode script "Katakana".

    - #### BOPOMOFO

          public static final Character.UnicodeScript BOPOMOFO

      Unicode script "Bopomofo".

    - #### HAN

          public static final Character.UnicodeScript HAN

      Unicode script "Han".

    - #### YI

          public static final Character.UnicodeScript YI

      Unicode script "Yi".

    - #### OLD_ITALIC

          public static final Character.UnicodeScript OLD_ITALIC

      Unicode script "Old_Italic".

    - #### GOTHIC

          public static final Character.UnicodeScript GOTHIC

      Unicode script "Gothic".

    - #### DESERET

          public static final Character.UnicodeScript DESERET

      Unicode script "Deseret".

    - #### INHERITED

          public static final Character.UnicodeScript INHERITED

      Unicode script "Inherited".

    - #### TAGALOG

          public static final Character.UnicodeScript TAGALOG

      Unicode script "Tagalog".

    - #### HANUNOO

          public static final Character.UnicodeScript HANUNOO

      Unicode script "Hanunoo".

    - #### BUHID

          public static final Character.UnicodeScript BUHID

      Unicode script "Buhid".

    - #### TAGBANWA

          public static final Character.UnicodeScript TAGBANWA

      Unicode script "Tagbanwa".

    - #### LIMBU

          public static final Character.UnicodeScript LIMBU

      Unicode script "Limbu".

    - #### TAI_LE

          public static final Character.UnicodeScript TAI_LE

      Unicode script "Tai_Le".

    - #### LINEAR_B

          public static final Character.UnicodeScript LINEAR_B

      Unicode script "Linear_B".

    - #### UGARITIC

          public static final Character.UnicodeScript UGARITIC

      Unicode script "Ugaritic".

    - #### SHAVIAN

          public static final Character.UnicodeScript SHAVIAN

      Unicode script "Shavian".

    - #### OSMANYA

          public static final Character.UnicodeScript OSMANYA

      Unicode script "Osmanya".

    - #### CYPRIOT

          public static final Character.UnicodeScript CYPRIOT

      Unicode script "Cypriot".

    - #### BRAILLE

          public static final Character.UnicodeScript BRAILLE

      Unicode script "Braille".

    - #### BUGINESE

          public static final Character.UnicodeScript BUGINESE

      Unicode script "Buginese".

    - #### COPTIC

          public static final Character.UnicodeScript COPTIC

      Unicode script "Coptic".

    - #### NEW_TAI_LUE

          public static final Character.UnicodeScript NEW_TAI_LUE

      Unicode script "New_Tai_Lue".

    - #### GLAGOLITIC

          public static final Character.UnicodeScript GLAGOLITIC

      Unicode script "Glagolitic".

    - #### TIFINAGH

          public static final Character.UnicodeScript TIFINAGH

      Unicode script "Tifinagh".

    - #### SYLOTI_NAGRI

          public static final Character.UnicodeScript SYLOTI_NAGRI

      Unicode script "Syloti_Nagri".

    - #### OLD_PERSIAN

          public static final Character.UnicodeScript OLD_PERSIAN

      Unicode script "Old_Persian".

    - #### KHAROSHTHI

          public static final Character.UnicodeScript KHAROSHTHI

      Unicode script "Kharoshthi".

    - #### BALINESE

          public static final Character.UnicodeScript BALINESE

      Unicode script "Balinese".

    - #### CUNEIFORM

          public static final Character.UnicodeScript CUNEIFORM

      Unicode script "Cuneiform".

    - #### PHOENICIAN

          public static final Character.UnicodeScript PHOENICIAN

      Unicode script "Phoenician".

    - #### PHAGS_PA

          public static final Character.UnicodeScript PHAGS_PA

      Unicode script "Phags_Pa".

    - #### NKO

          public static final Character.UnicodeScript NKO

      Unicode script "Nko".

    - #### SUNDANESE

          public static final Character.UnicodeScript SUNDANESE

      Unicode script "Sundanese".

    - #### BATAK

          public static final Character.UnicodeScript BATAK

      Unicode script "Batak".

    - #### LEPCHA

          public static final Character.UnicodeScript LEPCHA

      Unicode script "Lepcha".

    - #### OL_CHIKI

          public static final Character.UnicodeScript OL_CHIKI

      Unicode script "Ol_Chiki".

    - #### VAI

          public static final Character.UnicodeScript VAI

      Unicode script "Vai".

    - #### SAURASHTRA

          public static final Character.UnicodeScript SAURASHTRA

      Unicode script "Saurashtra".

    - #### KAYAH_LI

          public static final Character.UnicodeScript KAYAH_LI

      Unicode script "Kayah_Li".

    - #### REJANG

          public static final Character.UnicodeScript REJANG

      Unicode script "Rejang".

    - #### LYCIAN

          public static final Character.UnicodeScript LYCIAN

      Unicode script "Lycian".

    - #### CARIAN

          public static final Character.UnicodeScript CARIAN

      Unicode script "Carian".

    - #### LYDIAN

          public static final Character.UnicodeScript LYDIAN

      Unicode script "Lydian".

    - #### CHAM

          public static final Character.UnicodeScript CHAM

      Unicode script "Cham".

    - #### TAI_THAM

          public static final Character.UnicodeScript TAI_THAM

      Unicode script "Tai_Tham".

    - #### TAI_VIET

          public static final Character.UnicodeScript TAI_VIET

      Unicode script "Tai_Viet".

    - #### AVESTAN

          public static final Character.UnicodeScript AVESTAN

      Unicode script "Avestan".

    - #### EGYPTIAN_HIEROGLYPHS

          public static final Character.UnicodeScript EGYPTIAN_HIEROGLYPHS

      Unicode script "Egyptian_Hieroglyphs".

    - #### SAMARITAN

          public static final Character.UnicodeScript SAMARITAN

      Unicode script "Samaritan".

    - #### MANDAIC

          public static final Character.UnicodeScript MANDAIC

      Unicode script "Mandaic".

    - #### LISU

          public static final Character.UnicodeScript LISU

      Unicode script "Lisu".

    - #### BAMUM

          public static final Character.UnicodeScript BAMUM

      Unicode script "Bamum".

    - #### JAVANESE

          public static final Character.UnicodeScript JAVANESE

      Unicode script "Javanese".

    - #### MEETEI_MAYEK

          public static final Character.UnicodeScript MEETEI_MAYEK

      Unicode script "Meetei_Mayek".

    - #### IMPERIAL_ARAMAIC

          public static final Character.UnicodeScript IMPERIAL_ARAMAIC

      Unicode script "Imperial_Aramaic".

    - #### OLD_SOUTH_ARABIAN

          public static final Character.UnicodeScript OLD_SOUTH_ARABIAN

      Unicode script "Old_South_Arabian".

    - #### INSCRIPTIONAL_PARTHIAN

          public static final Character.UnicodeScript INSCRIPTIONAL_PARTHIAN

      Unicode script "Inscriptional_Parthian".

    - #### INSCRIPTIONAL_PAHLAVI

          public static final Character.UnicodeScript INSCRIPTIONAL_PAHLAVI

      Unicode script "Inscriptional_Pahlavi".

    - #### OLD_TURKIC

          public static final Character.UnicodeScript OLD_TURKIC

      Unicode script "Old_Turkic".

    - #### BRAHMI

          public static final Character.UnicodeScript BRAHMI

      Unicode script "Brahmi".

    - #### KAITHI

          public static final Character.UnicodeScript KAITHI

      Unicode script "Kaithi".

    - #### MEROITIC_HIEROGLYPHS

          public static final Character.UnicodeScript MEROITIC_HIEROGLYPHS

      Unicode script "Meroitic Hieroglyphs".

    - #### MEROITIC_CURSIVE

          public static final Character.UnicodeScript MEROITIC_CURSIVE

      Unicode script "Meroitic Cursive".

    - #### SORA_SOMPENG

          public static final Character.UnicodeScript SORA_SOMPENG

      Unicode script "Sora Sompeng".

    - #### CHAKMA

          public static final Character.UnicodeScript CHAKMA

      Unicode script "Chakma".

    - #### SHARADA

          public static final Character.UnicodeScript SHARADA

      Unicode script "Sharada".

    - #### TAKRI

          public static final Character.UnicodeScript TAKRI

      Unicode script "Takri".

    - #### MIAO

          public static final Character.UnicodeScript MIAO

      Unicode script "Miao".

    - #### UNKNOWN

          public static final Character.UnicodeScript UNKNOWN

      Unicode script "Unknown".

  - ### Method Detail

    - #### values

          public static Character.UnicodeScript[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Character.UnicodeScript c : Character.UnicodeScript.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Character.UnicodeScript valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static Character.UnicodeScript of(int codePoint)

      Returns the enum constant representing the Unicode script of which the given character (Unicode code point) is assigned to.
      Parameters:
        `codePoint` - the character (Unicode code point) in question.
      Returns:
        The `UnicodeScript` constant representing the Unicode script of which this character is assigned to.
      Throws:
        `IllegalArgumentException` - if the specified `codePoint` is an invalid Unicode code point.
      See Also:
        `Character.isValidCodePoint(int)`

    - #### forName

          public static final Character.UnicodeScript forName(String scriptName)

      Returns the UnicodeScript constant with the given Unicode script name or the script name alias. Script names and their aliases are determined by The Unicode Standard. The files Scripts<version>.txt and PropertyValueAliases<version>.txt define script names and the script name aliases for a particular version of the standard. The `Character` class specifies the version of the standard that it supports.

      Character case is ignored for all of the valid script names. The en_US locale's case mapping rules are used to provide case-insensitive string comparisons for script name validation.

      Parameters:
        `scriptName` - A `UnicodeScript` name.
      Returns:
        The `UnicodeScript` constant identified by `scriptName`
      Throws:
        `IllegalArgumentException` - if `scriptName` is an invalid name
        `NullPointerException` - if `scriptName` is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.